import React, {Component} from 'react';
import './course.scss';

class Course extends Component {
    render() {
        return (
            <div>
                <ul className="course-detail">
                    {
                        this.props.data.map((item, index) => {
                            return (
                                <li key={index}>
                                    {this.props.top}
                                    <a href="">
                                        <img src={item.src} alt=""/>
                                        <p className="course-title">{item.title}</p>
                                    </a>
                                    {this.props.bottom}
                                </li>
                            )
                        })
                    }
                </ul>
            </div>
        )
    }

}

export default Course

